BizKitHub
DocsAPI ReferenceLedger/bff/ledger/offset/create
postLedgerAdmin BFF

/bff/ledger/offset/create

Post an offset of receivables against payables

LedgerpostBffLedgerOffsetCreate

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
datestringRequired
Example2026-11-04
itemsobject[]Required
Each array item:
documentIdstringRequired
Length: 16–24
accountCodestringRequired
Length: 3–16
amountnumberRequired
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–2000
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired
entryIdstringRequired
entryNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "success": false,
  "id": "example_id",
  "entryId": "example_entryId"
}

Request example

POST /bff/ledger/offset/create

post
curl -X POST "https://api.bizkithub.com/bff/ledger/offset/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "date": "2026-11-04",
  "items": [
    {
      "documentId": "example_documentId",
      "accountCode": "example_accountCode",
      "amount": 0
    }
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key